summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2022-09-19 14:45:04 +0200
committerChristian Grothoff <christian@grothoff.org>2022-09-19 14:45:04 +0200
commit230cfa4f938f8f1d0421cd5c1fc2eac8bf5bcfe8 (patch)
tree88f57afe90fc8b567c93fd55dc34bf221da3ac57
parenta566242bfd7d3321429bd65faf02986c373122d7 (diff)
downloadexchange-230cfa4f938f8f1d0421cd5c1fc2eac8bf5bcfe8.tar.gz
exchange-230cfa4f938f8f1d0421cd5c1fc2eac8bf5bcfe8.tar.bz2
exchange-230cfa4f938f8f1d0421cd5c1fc2eac8bf5bcfe8.zip
-do not exit if not in PATH
-rwxr-xr-xsrc/auditor/test-revocation.sh2
-rwxr-xr-xsrc/auditor/test-sync.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/src/auditor/test-revocation.sh b/src/auditor/test-revocation.sh
index 354e7f807..fcffd05b7 100755
--- a/src/auditor/test-revocation.sh
+++ b/src/auditor/test-revocation.sh
@@ -601,7 +601,7 @@ taler-wallet-cli -h >/dev/null </dev/null 2>/dev/null || exit_skip "taler-wallet
echo -n "Testing for Postgres"
# Available directly in path?
-INITDB_BIN=$(command -v initdb)
+INITDB_BIN=$(command -v initdb) || true
if [[ ! -z $INITDB_BIN ]]; then
echo " FOUND (in path) at" $INITDB_BIN
else
diff --git a/src/auditor/test-sync.sh b/src/auditor/test-sync.sh
index 911dfed0a..9ad1124b1 100755
--- a/src/auditor/test-sync.sh
+++ b/src/auditor/test-sync.sh
@@ -110,7 +110,7 @@ taler-wallet-cli -h >/dev/null </dev/null 2>/dev/null || exit_skip "taler-wallet
echo -n "Testing for Postgres"
# Available directly in path?
-INITDB_BIN=$(command -v initdb)
+INITDB_BIN=$(command -v initdb) || true
if [[ ! -z $INITDB_BIN ]]; then
echo " FOUND (in path) at" $INITDB_BIN
else